Security Lab

Множественные уязвимости в Bitweaver

Дата публикации:26.06.2006
Дата изменения:17.10.2006
Всего просмотров:2161
Опасность:
Высокая
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: CVE-2006-3102
CVE-2006-3103
CVE-2006-3104
CVE-2006-3105
Вектор эксплуатации: Удаленная
Воздействие: Межсайтовый скриптинг
Раскрытие системных данных
Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: bitweaver 1.x
Уязвимые версии: Bitweaver 1.3, возможно другие версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение, получить доступ к важным данным и скомпрометировать уязвимую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "feedback" в сценарии /articles/index.php. Удаленный пользователь может с помощью специально сформированного URL выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://[host]/articles/index.php?feedback=[code]

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "sort_mode" в сценарии /users/index.php. Удаленный пользователь может получить доступ к названиям таблиц в базе данных и узнать путь к установочной директории приложения на системе.

3. Уязвимость существует из-за недостаточного ограничения на доступ к директории "/temp/articles". Удаленный пользователь может загрузить файлы с несколькими расширениями и затем выполнить их. Для удачной эксплуатации уязвимости должен быть установлен модуль "mod_mime".

URL производителя: www.bitweaver.org

Решение: Установите последнюю версию (1.3.1) с сайта производителя.